package de.ozgcloud.eingang.enterprise.entry;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.eingang.common.formdata.FormHeaderTestFactory;
import de.ozgcloud.eingang.enterprise.entry.EntryResponse.ResponseVorgang;

public class ResponseVorgangTestFactory {

	final static String VORGANG_ID = UUID.randomUUID().toString();

	static ResponseVorgang create() {
		return createBuilder().build();
	}

	static ResponseVorgang.ResponseVorgangBuilder createBuilder() {
		return ResponseVorgang.builder()
				.vorgangId(VORGANG_ID)
				.vorgangNummer(FormHeaderTestFactory.VORGANG_NUMMER)
				.status("NEU")
				.statusSince(ZonedDateTime.now());
	}
}
