package de.ozgcloud.eingang.intelliform;


import static de.ozgcloud.eingang.intelliform.GrpcFormFieldTestFactory.*;

import java.util.List;

import de.ozgcloud.vorgang.vorgang.GrpcFormField;

public class XmlDaten1Container {

	public final static String REQUEST_XML_NAME = "XML-Daten-1-SoapRequest.xml";

	public static final List<GrpcFormField> EINGANG_FIELDS = List.of(
			create("kontaktsystemtypid", "233034600"),
			create("kontaktsystemtypidln", "233034601"),
			create("AnliegenID", "8966671"),
			create("mailboxguid", "f977368b-6991-46b9-af18-8a2a03d9ad1b"),
			create("GebietID", "9007314"),
			create("logourl", "http://wafmxpa002.dpaor.de/sh/logos/kopf_9068873.doc")
	);

	public static final List<GrpcFormField> EMPFANGENDESTELLE_FIELDS = List.of(
			create("OrganisationseinheitenAuswahl", "9068873"),
			create("OrganisationseinheitenID", "9068873"),
			create("OrganisationseinheitenBEZEICHNUNG", "Einheitlicher Ansprechpartner\n\t\t\tSchleswig-Holstein"),
			create("strasse", "Reventlouallee"),
			create("hausnummer", "6"),
			create("postleitzahl", "24105"),
			create("ortID", "9006402"),
			create("ort", "Kiel"),
			create("telefonnummer", "+49 431 988-8650"),
			create("telefaxnummer", "+49 431 988-6161111"),
			create("emailadresse", "info@ea-sh.de"),
			create("demailadresse", "ea-poststelle@ea-sh.de-mail.de"),
			create("kontaktsystem_kennung", "afmsh:9068873_AusnahmeLKWFahrverbot"),
			create("kontaktsystem_kennungzusatz", "alle")
	);

	public static final List<GrpcFormField> ERKLAERUNGEN_FIELDS = List.of(
			create("check_gebuehren", "true"),
			create("check_richtigkeit", "true"),
			create("check_datenschutz", "true"),
			create("check_missbrauch", "true"),
			create("b_gebuehren_beschriftung", """
					* Mir ist bekannt, dass durch das Einreichen
								des elektronischen Antrages von der zuständigen Stelle Gebühren
								erhoben werden können."""),
			create("b_gebuehren_intro", """
					Gebühr bei Ausstellung des kleinen Waffenscheins:
								60,00 Euro. Bearbeitungsgebühr bei Versagung: 45,00 Euro.
								Sie sind gemäß § 39 WaffG verpflichtet, der zuständigen Behörde die zur
								Durchführung des Gesetzes erforderlichen Auskünfte zu erteilen. Zur
								Prüfung Ihrer waffenrechtlichen Zuverlässigkeit und Eignung holt die
								Behörde eine unbeschränkte Auskunft aus dem Bundeszentralregister,
								eine Auskunft aus dem zentralen staatsanwaltschaftlichen
								Verfahrensregister, eine Stellungnahme der örtlichen
								Polizeidienststelle und Ihrer Wohnsitzgemeinde ein."""),
			create("b_richtigkeit", "* Ich bestätige die Richtigkeit meiner Angaben."),
			create("b_datenschutz", """
					* Ich erkläre mich damit einverstanden, dass der
								Einheitlicher Ansprechpartner Schleswig-Holstein zur Erfüllung seiner
								Aufgaben meine Daten unter Einhaltung der Bestimmungen der
								Datenschutz-Grundverordnung (DS-GVO) und des
								Landesdatenschutzgesetzes Schleswig-Holstein (LDSG-SH) speichert,
								verarbeitet und diese im Rahmen der gesetzlichen Bestimmungen an die
								für die Entscheidung zuständige Stelle weiterleitet. Ebenso bin ich
								mit der rechtskonformen Datenverarbeitung und Speicherung durch die
								zuständige Stelle einverstanden. Mir ist bekannt, dass ich die
								Einwilligung in die Verarbeitung und Übermittlung jederzeit gegenüber
								dem Einheitlicher Ansprechpartner Schleswig-Holstein, Reventlouallee
								6, 24105 Kiel widerrufen kann. Ein Widerruf ist aber nur wirksam für
								die Zukunft. Verarbeitungen, die vor dem Widerruf erfolgt sind, sind
								davon nicht betroffen. Über die Verarbeitung meiner personenbezogenen
								Daten und die mir nach den datenschutzrechtlichen Regelungen
								zustehenden Ansprüche und Rechte habe ich unter Datenschutzerklärung
								Kenntnis erlangt."""),
			create("b_missbrauch", """
					* Mir ist bekannt, dass zur Verfolgung widerrechtlicher
								Nutzung die Daten meines zur Dateneingabe genutzten Endgerätes
								aufgezeichnet und verwendet werden können."""),
			create("policyurl", "http://wafmxpa002.dpaor.de/sh/datenschutz/datenschutzerklaerungEA_de.doc")
	);

	public static final List<GrpcFormField> ANSPRECHPARTNER_FIELDS = List.of(
			create("anrede", "Herr"),
			create("vorname", "Max"),
			create("familienname", "Testermann")
	);

	public static final List<GrpcFormField> ANSCHRIFT_FIELDS = List.of(
			create("strasse", "Königsweg"),
			create("hausnummer", "74"),
			create("postleitzahl", "24837"),
			create("ort", "Schleswig"),
			create("staat", "Deutschland")
	);

	public static final List<GrpcFormField> KONTAKT_FIELDS = List.of(
			create("telefonnummer", "+ 49 4621 9654"),
			create("mobilnummer", "+49 123"),
			create("telefaxnummer", "+ 49 4621 9654"),
			create("emailadresse", "max.testermann@gmx.de"),
			create("demailadresse", "max.testermann@gmx.de-mail.de")
	);

	public static final List<GrpcFormField> AUSGEWAEHLTE_ZUSTAENDIGESTELLE_FIELDS = List.of(
			create("OrganisationseinheitenID", "9535669"),
			create("OrganisationseinheitenBEZEICHNUNG", "Kreis\n\t\t\t\t\t\tSchleswig-Flensburg/Kreisverwaltung - Allgemeine\n\t\t\t\t\t\tOrdnungsangelegenheiten")
	);

	public static final List<GrpcFormField> VERWALTUNGSLEISTUNG_FIELDS = List.of(
			create("GebietID", "9007314"),
			create("GebietBEZEICHNUNG", "Schleswig"),
			create("AnliegenID", "8966671"),
			create("AnliegenBEZEICHNUNG", "Waffenschein / Kleiner Waffenschein"),
			create("leikaKEYLIST", "99089008000000;99089008001000")
	);

	public static final List<GrpcFormField> ZUSTAENDIGESTELLE_FIELDS = List.of(
			create("OrganisationseinheitenAuswahl", "9535669"),
			create("OrganisationseinheitenID", "9535669"),
			create("OrganisationseinheitenBEZEICHNUNG", "Kreis\n\t\t\tSchleswig-Flensburg/Kreisverwaltung - Allgemeine\n\t\t\tOrdnungsangelegenheiten"),
			create("strasse", "Flensburger Straße"),
			create("hausnummer", "7"),
			create("postleitzahl", "24837"),
			create("ortID", "9007314"),
			create("ort", "Schleswig"),
			create("telefonnummer", "04621 87-0"),
			create("telefaxnummer", "04621 87-366"),
			create("emailadresse", "Gefahrenabwehr@Kiel.de"),
			create("kontaktsystem_kennung", "afmsh:9535669_kleinerWaffenschein"),
			create("AnliegenBEZEICHNUNG", "Waffenschein / Kleiner Waffenschein"),
			create("leikaKEYLIST", "99089008000000;99089008001000"),
			create("auswahl_zustellung", "abholen"),
			create("b_zustellung", "Ich hole den Kleinen Waffenschein selbst ab.")
	);

}
